stages:
  - test-build
  - build-site
  - deploy-site
  - deploy-algolia

default:
  # All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  HUGO_PARAMS_GITPROJECTURL: https://gitlab.com/sctlib/index-theme
  ALGOLIA_APP_ID: 8FL8CEDI80Exxxxxxxxxx
  ALGOLIA_INDEX_NAME: xxxxxindextheme
  ALGOLIA_INDEX_FILE: public/algolia.json

test:
  stage: test-build
  script:
  - hugo --baseURL="https://example.com"
  except:
  - master

build:
  stage: build-site
  script:
  - mkdir .theme
  - mv archetypes layouts README.md static theme.toml .theme
  - mv .theme ./.site/themes/index-theme/
  - hugo --baseURL="https://sctlib.gitlab.io/index-theme" --config="./.site/config.toml" --themesDir="./.site/themes"
  artifacts:
    paths:
    - public

pages:
  stage: deploy-site
  script:
    - echo "Deploying to Gitlab page"
    - ls -la public
  artifacts:
    paths:
    - public
  only:
  - master

update-algolia:
  image: node:latest
  stage: deploy-algolia
  script:
    - npm install
    - npm run algolia
  only:
  - remove-me/master
